<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Base Plugins 1.0 Library Reference Manual: GStreamer Base Plugins 1.0 Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Base Plugins 1.0 Library Reference Manual">
<link rel="next" href="gstreamer-plugins-base.html" title="Part I. GStreamer Base Plugins Libraries">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<div class="book">
<div class="titlepage">
<div>
<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">GStreamer Base Plugins 1.0 Library Reference Manual</p></th></tr></table></div>
<div><p class="releaseinfo">
      for GStreamer Base Library 1.0 (1.4.0)
      <a class="ulink" href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/" target="_top">http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/</a>.
    </p></div>
</div>
<hr>
</div>
<div class="toc"><dl class="toc">
<dt><span class="part"><a href="gstreamer-plugins-base.html">I. GStreamer Base Plugins Libraries</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="compiling.html">Compiling</a></span><span class="refpurpose"> — 
How to compile against the base plugins libraries
</span>
</dt>
<dt><span class="chapter"><a href="gstreamer-allocators.html">Allocators Library</a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-dmabuf.html">dmabuf</a></span><span class="refpurpose"> — Memory wrapper for Linux dmabuf memory</span>
</dt></dl></dd>
<dt><span class="chapter"><a href="gstreamer-app.html">App Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-appsrc.html">appsrc</a></span><span class="refpurpose"> — Easy way for applications to inject buffers into a
    pipeline</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-appsink.html">appsink</a></span><span class="refpurpose"> — Easy way for applications to extract samples from a
    pipeline</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="gstreamer-audio.html">Audio Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudio.html">gstaudio</a></span><span class="refpurpose"> — Support library for audio elements</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiometa.html">gstaudiometa</a></span><span class="refpurpose"> — Buffer metadata for audio downmix matrix handling</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiocdsrc.html">gstaudiocdsrc</a></span><span class="refpurpose"> — Base class for Audio CD sources</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudioclock.html">gstaudioclock</a></span><span class="refpurpose"> — Helper object for implementing audio clocks</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiodecoder.html">gstaudiodecoder</a></span><span class="refpurpose"> — Base class for audio decoders</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudioencoder.html">gstaudioencoder</a></span><span class="refpurpose"> — Base class for audio encoders</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiofilter.html">gstaudiofilter</a></span><span class="refpurpose"> — Base class for simple audio filters</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiosink.html">gstaudiosink</a></span><span class="refpurpose"> — Simple base class for audio sinks</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiosrc.html">gstaudiosrc</a></span><span class="refpurpose"> — Simple base class for audio sources</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiobasesink.html">gstaudiobasesink</a></span><span class="refpurpose"> — Base class for audio sinks</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiobasesrc.html">gstaudiobasesrc</a></span><span class="refpurpose"> — Base class for audio sources</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudiochannels.html">gstaudiochannels</a></span><span class="refpurpose"> — Support library for audio channel handling</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudioringbuffer.html">gstaudioringbuffer</a></span><span class="refpurpose"> — Base class for audio ringbuffer implementations</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstaudioiec61937.html">gstaudioiec61937</a></span><span class="refpurpose"> — Utility functions for IEC 61937 payloading</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gststreamvolume.html">gststreamvolume</a></span><span class="refpurpose"> — Interface for elements that provide a stream volume</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="gstreamer-ffft.html">FFT Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstfft.html">gstfft</a></span><span class="refpurpose"> — General FFT functions and declarations</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstffts16.html">gstffts16</a></span><span class="refpurpose"> — FFT functions for signed 16 bit integer samples</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstffts32.html">gstffts32</a></span><span class="refpurpose"> — FFT functions for signed 32 bit integer samples</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstfftf32.html">gstfftf32</a></span><span class="refpurpose"> — FFT functions for 32 bit float samples</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstfftf64.html">gstfftf64</a></span><span class="refpurpose"> — FFT functions for 64 bit float samples</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="gstreamer-riff.html">Riff Media Library</a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstriff.html">gstriff</a></span><span class="refpurpose"> — Riff fileformat utillity functions.</span>
</dt></dl></dd>
<dt><span class="chapter"><a href="gstreamer-rtp.html">RTP Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtpbaseaudiopayload.html">gstrtpbaseaudiopayload</a></span><span class="refpurpose"> — Base class for audio RTP payloader</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtpbasedepayload.html">gstrtpbasedepayload</a></span><span class="refpurpose"> — Base class for RTP depayloader</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtpbasepayload.html">gstrtpbasepayload</a></span><span class="refpurpose"> — Base class for RTP payloader</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtpbuffer.html">gstrtpbuffer</a></span><span class="refpurpose"> — Helper methods for dealing with RTP buffers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtcpbuffer.html">gstrtcpbuffer</a></span><span class="refpurpose"> — Helper methods for dealing with RTCP buffers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtppayloads.html">gstrtppayloads</a></span><span class="refpurpose"> — Helper methods for dealing with RTP payloads</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtphdrext.html">gstrtphdrext</a></span><span class="refpurpose"></span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="gstreamer-rtsp.html">RTSP Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtspconnection.html">gstrtspconnection</a></span><span class="refpurpose"> — manage RTSP connections</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtspdefs.html">gstrtspdefs</a></span><span class="refpurpose"> — common RTSP defines</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtspextension.html">gstrtspextension</a></span><span class="refpurpose"> — Interface for extending RTSP protocols</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtspmessage.html">gstrtspmessage</a></span><span class="refpurpose"> — RTSP messages</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtsprange.html">gstrtsprange</a></span><span class="refpurpose"> — dealing with time ranges</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtsptransport.html">gstrtsptransport</a></span><span class="refpurpose"> — dealing with RTSP transports</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstrtspurl.html">gstrtspurl</a></span><span class="refpurpose"> — handling RTSP urls</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="gstreamer-sdp.html">SDP Library</a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstsdpmessage.html">gstsdpmessage</a></span><span class="refpurpose"> — Helper methods for dealing with SDP messages</span>
</dt></dl></dd>
<dt><span class="chapter"><a href="gstreamer-mikey.html">MIKEY Library</a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstmikey.html">gstmikey</a></span><span class="refpurpose"> — Helper methods for dealing with MIKEY messages</span>
</dt></dl></dd>
<dt><span class="chapter"><a href="gstreamer-tag.html">Tag Support Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttag.html">gsttag</a></span><span class="refpurpose"> — additional tag definitions for plugins and applications</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttagvorbis.html">gsttagvorbis</a></span><span class="refpurpose"> — tag mappings and support functions for plugins
                    dealing with vorbiscomments</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttagid3.html">gsttagid3</a></span><span class="refpurpose"> — tag mappings and support functions for plugins
                    dealing with ID3v1 and ID3v2 tags</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttagexif.html">gsttagexif</a></span><span class="refpurpose"> — tag mappings and support functions for plugins
                    dealing with exif tags</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttagxmp.html">gsttagxmp</a></span><span class="refpurpose"> — tag mappings and support functions for plugins
                    dealing with xmp packets</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttagxmpwriter.html">gsttagxmpwriter</a></span><span class="refpurpose"> — Interface for elements that provide XMP serialization</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttagdemux.html">gsttagdemux</a></span><span class="refpurpose"> — Base class for demuxing tags that are in chunks
                    directly at the beginning or at the end of a file</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttagmux.html">gsttagmux</a></span><span class="refpurpose"> — Base class for adding tags that are in one single chunk
                    directly at the beginning or at the end of a file</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttaglanguagecodes.html">gsttaglanguagecodes</a></span><span class="refpurpose"> — mappings for ISO-639 language codes and names</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gsttaglicenses.html">gsttaglicenses</a></span><span class="refpurpose"> — utility functions for Creative Commons licenses</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="gstreamer-base-utils.html">Base Utils Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstpbutils.html">gstpbutils</a></span><span class="refpurpose"> — General Application and Plugin Utility Library</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstpluginsbaseversion.html">gstpluginsbaseversion</a></span><span class="refpurpose"> — GStreamer gst-plugins-base libraries version macros.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstpbutilscodecutils.html">gstpbutilscodecutils</a></span><span class="refpurpose"> — Miscellaneous codec-specific utility functions</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstpbutilsdescriptions.html">gstpbutilsdescriptions</a></span><span class="refpurpose"> — Provides human-readable descriptions for caps/codecs
and encoder, decoder, URI source and URI sink elements</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstpbutilsmissingplugins.html">gstpbutilsmissingplugins</a></span><span class="refpurpose"> — Create, recognise and parse missing-plugins messages</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstpbutilsinstallplugins.html">gstpbutilsinstallplugins</a></span><span class="refpurpose"> — Missing plugin installation support for applications</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstdiscoverer.html">gstdiscoverer</a></span><span class="refpurpose"> — Utility for discovering information on URIs.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-encoding-profile.html">encoding-profile</a></span><span class="refpurpose"> — Encoding profile library</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="gstreamer-video.html">Video Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstvideo.html">gstvideo</a></span><span class="refpurpose"> — Support library for video operations</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstvideometa.html">gstvideometa</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstvideooverlaycomposition.html">gstvideooverlaycomposition</a></span><span class="refpurpose"> — Video Buffer Overlay Compositions (Subtitles, Logos)</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstvideofilter.html">gstvideofilter</a></span><span class="refpurpose"> — Base class for video filters</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstvideosink.html">gstvideosink</a></span><span class="refpurpose"> — Base class for video sinks</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstcolorbalance.html">gstcolorbalance</a></span><span class="refpurpose"> — Interface for adjusting color balance settings</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstcolorbalancechannel.html">gstcolorbalancechannel</a></span><span class="refpurpose">Object representing a channel from the <span class="type">GstColorBalance</span>
        interface.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstvideoorientation.html">gstvideoorientation</a></span><span class="refpurpose"> — Interface for elements providing video orientation
controls</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstvideooverlay.html">gstvideooverlay</a></span><span class="refpurpose"> — Interface for setting/getting a window system resource
   on elements supporting it to configure a window into which to render a
   video.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-GstVideoDecoder.html">GstVideoDecoder</a></span><span class="refpurpose"> — Base class for video decoders</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-GstVideoEncoder.html">GstVideoEncoder</a></span><span class="refpurpose"> — Base class for video encoders</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-GstVideoPool.html">GstVideoPool</a></span><span class="refpurpose"> — GstBufferPool for raw video buffers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstvideoutils.html">gstvideoutils</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="gst-plugins-base-libs-gstnavigation.html">gstnavigation</a></span><span class="refpurpose"> — Interface for creating, sending and parsing navigation
events.</span>
</dt>
</dl></dd>
</dl></dd>
<dt><span class="part"><a href="gstreamer-libs-hierarchy.html">II. Object Hierarchy</a></span></dt>
<dt><span class="index"><a href="api-index-full.html">Index</a></span></dt>
<dt><span class="index"><a href="api-index-deprecated.html">Index of deprecated API</a></span></dt>
<dt><span class="glossary"><a href="annotation-glossary.html">Annotation Glossary</a></span></dt>
</dl></div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>